## patchleaks 0.0~git20250807.2e53978

=== debian/changelog ===
patchleaks (0.0~git20250807.2e53978-0kali2) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Add missing config file

 -- Sophie Brun <sophie@kali.org>  Tue, 02 Sep 2025 17:17:29 +0200

patchleaks (0.0~git20250807.2e53978-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@kali.org>  Wed, 20 Aug 2025 14:13:56 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

execute_before_dh_link:
	rm debian/patchleaks/usr/share/patchleaks/static/js/jquery.min.js

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://github.com/hatlesswizard/PatchLeaks.git \
    HEAD debian

#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/hatlesswizard/PatchLeaks/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## patchleaks 0.0~git20250928.f4a05b7

=== debian/changelog ===
patchleaks (0.0~git20250928.f4a05b7-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20250928.f4a05b7

 -- Sophie Brun <sophie@kali.org>  Mon, 29 Sep 2025 14:25:49 +0200

## patchleaks 0.0~git20251018.dc929fd

=== requirements.txt ===
Flask==2.3.3
requests==2.31.0
beautifulsoup4==4.12.2
APScheduler==3.10.4
cachetools==5.3.2
Flask-Limiter==3.5.0
Werkzeug==2.3.7

=== debian/changelog ===
patchleaks (0.0~git20251018.dc929fd-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20251018.dc929fd
  * Refresh patches
  * Fix the helper-script

 -- Sophie Brun <sophie@kali.org>  Mon, 20 Oct 2025 15:38:48 +0200

=== debian/control ===
Source: patchleaks
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Standards-Version: 4.7.2
Homepage: https://github.com/hatlesswizard/PatchLeaks
Vcs-Browser: https://gitlab.com/kalilinux/packages/patchleaks
Vcs-Git: https://gitlab.com/kalilinux/packages/patchleaks.git

Package: patchleaks
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 libjs-jquery,
 node-fortawesome-fontawesome-free,
 python3-apscheduler,
 python3-bs4,
 python3-cachetools,
 python3-flask,
 python3-flask-limiter,
 python3-requests,
 python3-werkzeug
Description: Go from a CVE number to the exact patched code and its vulnerability analysis
 This package contains a tool to compare two versions of a code‑base, highlight
 lines changed by vendor, and explain why they matter. Feed the tool an old and
 a patched version; PatchLeaks spots the security fix and provides detailed
 description so you can validate—or weaponize—it fast.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	dh $@
 
 execute_before_dh_link:
+	rm -rf debian/patchleaks/usr/share/patchleaks/static/webfonts
 	rm debian/patchleaks/usr/share/patchleaks/static/js/jquery.min.js

## patchleaks 0.0~git20251101.8837aac

=== debian/changelog ===
patchleaks (0.0~git20251101.8837aac-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20251101.8837aac
  * Remove obsolete patches
  * Update packaging as it's now in Go

 -- Sophie Brun <sophie@kali.org>  Mon, 10 Nov 2025 15:23:36 +0100

patchleaks (0.0~git20251029.829a7e7-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20251029.829a7e7

 -- Sophie Brun <sophie@kali.org>  Thu, 30 Oct 2025 15:56:29 +0100

=== debian/control ===
Source: patchleaks
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dh-golang,
 golang-any,
 golang-github-google-uuid-dev,
 golang-github-gorilla-mux-dev,
 golang-github-gorilla-sessions-dev,
 golang-github-smacker-go-tree-sitter-dev
Standards-Version: 4.7.2
Homepage: https://github.com/hatlesswizard/PatchLeaks
Vcs-Browser: https://gitlab.com/kalilinux/packages/patchleaks
Vcs-Git: https://gitlab.com/kalilinux/packages/patchleaks.git
XS-Go-Import-Path: github.com/hatlesswizard/PatchLeaks

Package: patchleaks
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libjs-jquery,
 node-fortawesome-fontawesome-free,
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Description: Go from a CVE number to the exact patched code and its vulnerability analysis
 This package contains a tool to compare two versions of a code‑base, highlight
 lines changed by vendor, and explain why they matter. Feed the tool an old and
 a patched version; PatchLeaks spots the security fix and provides detailed
 description so you can validate—or weaponize—it fast.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build


%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
Version: 5
Template: Github
Owner: hatlesswizard
Project: PatchLeaks

## patchleaks 0.0~git20251113.3c53291

=== debian/changelog ===
patchleaks (0.0~git20251113.3c53291-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 0.0~git20251113.3c53291
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 11 Dec 2025 13:22:38 +0100

patchleaks (0.0~git20251101.8837aac-0kali2) kali-dev; urgency=medium

  * Install missing files
  * Adapt locations of files

 -- Sophie Brun <sophie@kali.org>  Mon, 17 Nov 2025 14:54:14 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
+
+execute_before_dh_link:
+	rm -rf debian/patchleaks/usr/share/patchleaks/static/webfonts
+	rm debian/patchleaks/usr/share/patchleaks/static/js/jquery.min.js

=== debian/watch ===
Version: 5
Source: https://github.com/hatlesswizard/PatchLeaks
Matching-Pattern: HEAD
Mode: git
